Subject: [bug#50274] [PATCH] guix: git: Adds feature to download git repository to the store.

From: Sarah Morgensen <[email-masked]>
Date: Thu, 02 Sep 2021 18:37:10 -0700

Hi Maxime,

Maxime Devos <[email-masked]> writes:

> Sarah Morgensen schreef op di 31-08-2021 om 11:50 [-0700]:
>> 
>> Your patch has a number of tabs in it; they should be converted to spaces.
>
> Is this documented somewhere?  I'm not aware of such a rule.

I cannot find it explicitly stated anywhere, but etc/indent-code.el does
replace tabs with spaces:

--8<---------------cut here---------------start------------->8---
     ;; Indent all of FILE-NAME.
     (find-file file-name)
     (let ((indent-tabs-mode nil))
       (untabify (point-min) (point-max))
       (indent-region (point-min) (point-max))
       (save-buffer)
       (message "Done!")))
--8<---------------cut here---------------end--------------->8---

So I assumed it's policy.  Perhaps the documentation should explicitly
note that spaces are Official Policy?

--
Sarah